Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Sep 2023 18:09:03 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 18 Sep 2023 16:56:55 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Any idea why a call to 'documentation' loads loaddefs?  Did you indeed
> > "hack the Emacs you were running"?
> 
> No idea, and I didn't hack it at all.  This was a minute after I started
> a newly-build Emacs, wondered why a C-c C-k binding didn't work.  I
> then pressed C-c alone to see what it is bound to, with which-key.

So I think this now becomes the main question.  If this is not a bug,
i.e. if loaddefs can legitimately be loaded mid-session, we cannot
autoload key bindings, at least not naïvely as we do now.